PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_pfree

## Name

SPI_pfree -- Frees memory in upper Executor context

## Synopsis

    SPI_pfree(pointer)

### Inputs

void * `pointer`

  Pointer to existing storage

### Outputs

None

## Description

`SPI_pfree` frees memory in upper Executor context.

## Usage

This function is no longer different from plain `pfree`. It's kept just for backward compatibility of existing code.

Prev | Home | Next
SPI_repalloc | Up | SPI_freetuple